class SectionCLI:
    def __init__(self, subparsers):
        self.subparsers = subparsers
        self.parser = self.subparsers.add_parser(
            "section",
            aliases=["s"],
            description="Manage sections",
        )

    def configure(self):
        section_subparsers = self.parser.add_subparsers(
            title="Section commands",
            dest="option",
            metavar="[create, list, delete]",
        )
        list_parser = section_subparsers.add_parser(
            "list", aliases=["l", "ls"], description="List sections of project"
        )
        list_parser.add_argument("project", help="project name")

        create_parser = section_subparsers.add_parser(
            "create", aliases=["c"], description="Create new section"
        )
        create_parser.add_argument("name", help="section name")
        create_parser.add_argument("project", help="project name")

        delete_parser = section_subparsers.add_parser(
            "delete",
            aliases=["d", "rm", "del", "remove"],
            description="Delete a section",
        )
        delete_parser.add_argument("name", help="section name")
        delete_parser.add_argument("project", help="project name")
