from typing import Dict, FrozenSet

from .task import Task
from ...utils import Colors


class Section:
    def __init__(self, name="", project_id=None):
        self.id = None
        self.name = name
        self.project_id = project_id

        self.tasks: FrozenSet[Task] = frozenset()

    @staticmethod
    def from_json(json: Dict):
        section = Section()
        section.id = json["id"]
        section.name = json["name"]
        section.project_id = json["project_id"]

        return section

    def __repr__(self) -> str:
        return Colors.wrap(Colors.UNDERLINE, "Section") + ": {}".format(self.name)

    def show_summary(self):
        print(self)

    def show_details(self):
        print(self)
        if len(self.tasks):
            for task in self.tasks:
                print(task)
        else:
            print("No task is available on this section")
