GITHUB_REPOSITORY = "https://github.com/ablil/meistertask-cli"
APP_NAME = "meistertask-cli"
APP_DESCRIPTION = "CLI tools for Meistertask"

TASK_STATUS = ["open", "completed", "completed_archived", "trashed"]
ROOT_USAGE = """
USAGE:
    meistertask <command> <subcommand> [args/flags...]

CORE COMMANDS
    project:    Manage project
    task:       Manage tasks of specific project
    section:    Manage sections of specific projects

CORE COMMANDS ALIASES:
    project:    p
    task:       t
    section:    s
"""


PROJECT_USAGE = """
USAGE:
    meistertask project <subcommand> [flags]

SUBCOMMANDS
    create:     Create project
    view:       View project
    update:     Update project name and description
    delete:     Delete project
    list:       List projects (active, deleted, archived)

SUBCOMMANDS ALIASES:
    create:     c
    view:       v, show, display
    update:     u, e, edit
    delete:     d, rm, del, remove
    list:       l, ls
"""

TASK_USAGE = """
USAGE:
    meistertask task <subcommand> [flags] <project name>

SUBCOMMANDS
    create:     Create task
    list:       List tasks by section
    update:     Update task name and description
    move:       Move task to another section

SUBCOMMANDS ALIASES:
    create:     c
    list:       l, ls
    update:     u, e, edit
    move:       m, mv
"""

SECTION_USAGE = """
USAGE:
    meistertask section <subcommand> [flags] <project name>

SUBCOMMANDS
    create:     Create section
    list:       List sections of project
    delete:     Delete section from project with its tasks

SUBCOMMANDS ALIASES:
    create:     c
    list:       l, ls
    delete:     d, rm, del, remove
"""
