import unittest

from src.core.models import Section


class TestSectionWithJson(unittest.TestCase):
    def test_with_valid_data(self):
        section_data = {
            "id": 73,
            "name": "Open",
            "description": None,
            "color": "30bfbf",
            "status": 1,
            "project_id": 42,
            "sequence": 1,
            "created_at": "2017-01-13T09:29:36.722740Z",
            "updated_at": "2017-01-13T09:29:36.722616Z"
        }

        section: Section = Section.from_json(section_data)
        self.assertEqual(section.id, 73)
        self.assertEqual(section.name, "Open")
        self.assertEqual(section.project_id, 42)


if __name__ == '__main__':
    unittest.main()
