import unittest

from src.core.models import Task


class TestTaskFromJson(unittest.TestCase):
    def test_with_valid_task(self):
        task_data = {
            "id": 15,
            "token": "gvuUs17f",
            "name": "Task Name",
            "notes": "Here are some task notes",
            "status": 1,
            "status_updated_at": "2019-05-09T14:49:18.303930Z",
            "section_id": 1,
            "section_name": "Open",
            "project_id": 15,
            "sequence": 100,
            "assigned_to_id": 1,
            "tracked_time": 3600,
            "due": None,
            "created_at": "2019-02-06T17:01:33.635649Z",
            "updated_at": "2019-05-09T14:49:18.304227Z"
        }

        task: Task = Task.from_json(task_data)
        self.assertEqual(task.id, 15)
        self.assertEqual(task.name, "Task Name")
        self.assertEqual(task.description, "Here are some task notes")
        self.assertEqual(task.status, "open")
        self.assertEqual(task.section_id, 1)
        self.assertEqual(task._section_name, "Open")
        self.assertEqual(task._project_id, 15)


if __name__ == '__main__':
    unittest.main()
