import unittest

from src.cli import CLI


class TestProjectAliases(unittest.TestCase):
    def test_create(self):
        parser = CLI().parser
        self.assertEqual(parser.parse_args(["project", "c", "projectname"]).option, "c")

    def test_delete(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "delete", "projectname"]).option, "delete"
        )
        self.assertEqual(
            parser.parse_args(["project", "remove", "projectname"]).option, "remove"
        )
        self.assertEqual(
            parser.parse_args(["project", "del", "projectname"]).option, "del"
        )
        self.assertEqual(
            parser.parse_args(["project", "rm", "projectname"]).option, "rm"
        )
        self.assertEqual(parser.parse_args(["project", "d", "projectname"]).option, "d")

    def test_update(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "update", "projectname"]).option, "update"
        )
        self.assertEqual(
            parser.parse_args(["project", "edit", "projectname"]).option, "edit"
        )
        self.assertEqual(parser.parse_args(["project", "e", "projectname"]).option, "e")
        self.assertEqual(parser.parse_args(["project", "u", "projectname"]).option, "u")

    def test_list(self):
        parser = CLI().parser
        self.assertEqual(parser.parse_args(["project", "list"]).option, "list")
        self.assertEqual(parser.parse_args(["project", "ls"]).option, "ls")
        self.assertEqual(parser.parse_args(["project", "l"]).option, "l")

    def test_view(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "view", "projectname"]).option, "view"
        )
        self.assertEqual(
            parser.parse_args(["project", "show", "projectname"]).option, "show"
        )
        self.assertEqual(
            parser.parse_args(["project", "display", "projectname"]).option, "display"
        )
        self.assertEqual(parser.parse_args(["project", "v", "projectname"]).option, "v")


if __name__ == "__main__":
    unittest.main()
