import unittest

from src.cli import CLI


class TestProjectCommand(unittest.TestCase):
    def test_create(self):
        parser = CLI().parser

        args = parser.parse_args(
            ["project", "create", "-d", "description", "projectname"]
        )
        self.assertEqual(args.command, "project")
        self.assertEqual(args.option, "create")
        self.assertEqual(args.description, "description")
        self.assertEqual(args.name, "projectname")

    def test_display(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "view", "projectname"]).option, "view"
        )
        self.assertEqual(
            parser.parse_args(["project", "view", "projectname"]).name, "projectname"
        )

    def test_listing(self):
        parser = CLI().parser

        self.assertEqual(parser.parse_args(["project", "list"]).option, "list")

        self.assertEqual(parser.parse_args(["project", "ls", "-a"]).type, "active")
        self.assertEqual(
            parser.parse_args(["project", "ls", "--active"]).type, "active"
        )

        self.assertEqual(parser.parse_args(["project", "ls", "--all"]).type, "all")

        self.assertEqual(
            parser.parse_args(["project", "ls", "--archived"]).type, "archived"
        )

    def test_update(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "update", "projectname"]).option, "update"
        )

    def test_delete(self):
        parser = CLI().parser
        self.assertEqual(
            parser.parse_args(["project", "delete", "projectname"]).option, "delete"
        )


if __name__ == "__main__":
    unittest.main()
