import unittest

from src.cli import CLI


class TestSectionCommand(unittest.TestCase):
    def test_create(self):
        parser = CLI().parser

        args = parser.parse_args(['section', 'create', 'sectionname', 'projectname'])
        self.assertEqual(args.command, 'section')
        self.assertEqual(args.option, 'create')
        self.assertEqual(args.name, 'sectionname')
        self.assertEqual(args.project, 'projectname')

    def test_list(self):
        parser = CLI().parser

        args = parser.parse_args(['section', 'list', 'projectname'])
        self.assertEqual(args.command, 'section')
        self.assertEqual(args.option, 'list')
        self.assertEqual(args.project, 'projectname')

    def test_delete(self):
        parser = CLI().parser

        args = parser.parse_args(['section', 'delete', 'sectionname', 'projectname'])
        self.assertEqual(args.command, 'section')
        self.assertEqual(args.option, 'delete')
        self.assertEqual(args.project, 'projectname')


if __name__ == '__main__':
    unittest.main()
