import unittest

from src.cli import CLI


class TestTaskAliases(unittest.TestCase):
    def test_create(self):
        parser = CLI().parser
        args = parser.parse_args(["t", "c", "taskname", "sectionanme", "projectname"])

        self.assertEqual(args.command, "t")
        self.assertEqual(args.option, "c")

    def test_list(self):
        parser = CLI().parser

        self.assertEqual(
            parser.parse_args(["t", "ls", "projectname"]).option, "ls"
        )
        self.assertEqual(
            parser.parse_args(["t", "list", "projectname"]).option, "list"
        )
        self.assertEqual(parser.parse_args(["t", "l", "projectname"]).option, "l")

    def test_update(self):
        parser = CLI().parser

        self.assertEqual(
            parser.parse_args(["t", "update", "taskname", "projectname"]).option,
            "update",
        )
        self.assertEqual(
            parser.parse_args(["t", "edit", "taskname", "projectname"]).option, "edit"
        )
        self.assertEqual(
            parser.parse_args(["t", "e", "taskname", "projectname"]).option, "e"
        )
        self.assertEqual(
            parser.parse_args(["t", "u", "taskname", "projectname"]).option, "u"
        )

    def test_move(self):
        parser = CLI().parser

        self.assertEqual(
            parser.parse_args(["t", "move", "taskname", "open", "projectname"]).option,
            "move",
        )
        self.assertEqual(
            parser.parse_args(["t", "mv", "taskname", "open", "projectname"]).option,
            "mv",
        )
        self.assertEqual(
            parser.parse_args(["t", "m", "taskname", "open", "projectname"]).option, "m"
        )


if __name__ == "__main__":
    unittest.main()
